cascading.flow.tez

## Class FlowProcessor

- java.lang.Object
- - org.apache.tez.runtime.api.AbstractLogicalIOProcessor
  - - cascading.flow.tez.FlowProcessor

- All Implemented Interfaces:
    org.apache.tez.runtime.api.LogicalIOProcessor, org.apache.tez.runtime.api.LogicalIOProcessorFrameworkInterface, org.apache.tez.runtime.api.Processor, org.apache.tez.runtime.api.ProcessorFrameworkInterface

      public class FlowProcessor
      extends org.apache.tez.runtime.api.AbstractLogicalIOProcessor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowProcessor(org.apache.tez.runtime.api.ProcessorContext context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `handleEvents(List<org.apache.tez.runtime.api.Event> events)`
    `void` | `initialize()`
    `void` | `run(Map<String,org.apache.tez.runtime.api.LogicalInput> inputMap, Map<String,org.apache.tez.runtime.api.LogicalOutput> outputMap)`
    `protected void` | `waitForInputsReady(Map<String,org.apache.tez.runtime.api.LogicalInput> inputMap)`

    - ### Methods inherited from class org.apache.tez.runtime.api.AbstractLogicalIOProcessor

      `abort, getContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlowProcessor

          public FlowProcessor(org.apache.tez.runtime.api.ProcessorContext context)

  - ### Method Detail

    - #### initialize

          public void initialize()
                          throws Exception

      Specified by:
        `initialize` in interface `org.apache.tez.runtime.api.ProcessorFrameworkInterface`
      Specified by:
        `initialize` in class `org.apache.tez.runtime.api.AbstractLogicalIOProcessor`
      Throws:
        `Exception`

    - #### run

          public void run(Map<String,org.apache.tez.runtime.api.LogicalInput> inputMap,
                 Map<String,org.apache.tez.runtime.api.LogicalOutput> outputMap)
                   throws Exception

      Throws:
        `Exception`

    - #### waitForInputsReady

          protected void waitForInputsReady(Map<String,org.apache.tez.runtime.api.LogicalInput> inputMap)
                                     throws InterruptedException

      Throws:
        `InterruptedException`

    - #### handleEvents

          public void handleEvents(List<org.apache.tez.runtime.api.Event> events)

    - #### close

          public void close()
                     throws Exception

      Throws:
        `Exception`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.